Subject: Re: [PATCH net,stable] tun: fix vlan packet truncation

From: Bjørn Mork <[email-masked]>
Date: Tue, 17 Apr 2018 22:41:38 +0200

David Miller <[email-masked]> writes:

> The VLAN business might be bogus, and needs to be removed.
>
> However, the pskb_trim() has to stay in some form.  I think this is what
> Jason is trying to say.
>
> The semantics of running a BPF program is that the program returns the
> desired packet length.  We must truncate the packet to the length
> returned by the BPF program, therefore.

Right. That's obvious when I look closer at it. Sorry for being so
slow...  New version coming up.

Bjørn